cvpnssn.vo

## Class DatiDiChiusuraRicettaNSSN

- java.lang.Object
- - cvpnssn.vo.DatiDiChiusuraRicettaNSSN

-     public class DatiDiChiusuraRicettaNSSN
      extends java.lang.Object

  Classe di input utilizzata per la chiusura di una ricetta (RNR/RNRL) per cui sono state effettuate una o pił erogazioni singole e che necessitą di essere totalmente erogata, comunicando i dati finali.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `codiceAslErogatore` Codice della ASL della struttura erogatrice
    `private java.lang.String` | `codiceRegioneErogatore` Codice della regione della struttura erogatrice
    `private java.lang.String` | `codiceSsaErogatore` Codice identificativo della struttura erogatrice
    `private java.lang.String` | `codPaziente` Codice fiscale del paziente (CF/STP/ENI)
    `private java.lang.String` | `nrbe` Numero Ricetta Bianca Elettronica.
    `private java.lang.String` | `pinNrbe` Numero breve univoco per paziente e per anno di prescrizione.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatiDiChiusuraRicettaNSSN()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodiceAslErogatore()`
    `java.lang.String` | `getCodiceRegioneErogatore()`
    `java.lang.String` | `getCodiceSsaErogatore()`
    `java.lang.String` | `getCodPaziente()`
    `java.lang.String` | `getNrbe()`
    `java.lang.String` | `getPinNrbe()`
    `void` | `setCodiceAslErogatore(java.lang.String codiceAslErogatore)`
    `void` | `setCodiceRegioneErogatore(java.lang.String codiceRegioneErogatore)`
    `void` | `setCodiceSsaErogatore(java.lang.String codiceSsaErogatore)`
    `void` | `setCodPaziente(java.lang.String codPaziente)`
    `void` | `setNrbe(java.lang.String nrbe)`
    `void` | `setPinNrbe(java.lang.String pinNrbe)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codiceRegioneErogatore

          private java.lang.String codiceRegioneErogatore

      Codice della regione della struttura erogatrice

    - #### codiceAslErogatore

          private java.lang.String codiceAslErogatore

      Codice della ASL della struttura erogatrice

    - #### codiceSsaErogatore

          private java.lang.String codiceSsaErogatore

      Codice identificativo della struttura erogatrice

    - #### codPaziente

          private java.lang.String codPaziente

      Codice fiscale del paziente (CF/STP/ENI)

    - #### nrbe

          private java.lang.String nrbe

      Numero Ricetta Bianca Elettronica. N.B. deve essere presente obbligatoriamente in maniera esclusiva un elemento tra nrbe e pinNrbe

    - #### pinNrbe

          private java.lang.String pinNrbe

      Numero breve univoco per paziente e per anno di prescrizione. N.B. deve essere presente obbligatoriamente in maniera esclusiva un elemento tra nrbe e pinNrbe

  - ### Constructor Detail

    - #### DatiDiChiusuraRicettaNSSN

          public DatiDiChiusuraRicettaNSSN()

  - ### Method Detail

    - #### getCodiceRegioneErogatore

          public java.lang.String getCodiceRegioneErogatore()

    - #### setCodiceRegioneErogatore

          public void setCodiceRegioneErogatore(java.lang.String codiceRegioneErogatore)

    - #### getCodiceAslErogatore

          public java.lang.String getCodiceAslErogatore()

    - #### setCodiceAslErogatore

          public void setCodiceAslErogatore(java.lang.String codiceAslErogatore)

    - #### getCodiceSsaErogatore

          public java.lang.String getCodiceSsaErogatore()

    - #### setCodiceSsaErogatore

          public void setCodiceSsaErogatore(java.lang.String codiceSsaErogatore)

    - #### getCodPaziente

          public java.lang.String getCodPaziente()

    - #### setCodPaziente

          public void setCodPaziente(java.lang.String codPaziente)

    - #### getNrbe

          public java.lang.String getNrbe()

    - #### setNrbe

          public void setNrbe(java.lang.String nrbe)

    - #### getPinNrbe

          public java.lang.String getPinNrbe()

    - #### setPinNrbe

          public void setPinNrbe(java.lang.String pinNrbe)